#include<stdio.h>
#include<time.h>
#include<stdlib.h>
#include<conio.h>
#include<cmath>

main()
{
	long long int p,q,r,brojac=0,L,R,i,ukupno;
	scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&L,&R);
	if(L>0 && R>0 && L<=pow(10,18) && R<=pow(10,18)) {
		if(p>0 && q>0 && r>0 && p<=10 && q<=10 && r<=10) {
			for(i=L;i<=R;i++) {
				if(ceil(i/(float)p)+ceil(i/(float)q)+ceil(i/(float)r)<=i) brojac++;
			}
			printf("%lld",brojac);
		}
		return 0;
	}
	else return 0;
}